Package com.destroystokyo.paper.exception

# Class ServerEventException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerPluginException
com.destroystokyo.paper.exception.ServerEventException

All Implemented Interfaces:
  `Serializable`

public class ServerEventException extends ServerPluginException
Exception thrown when a server event listener throws an exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServerEventException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin, Listener listener, Event event)`
``
`ServerEventException(String message, Throwable cause, Plugin responsiblePlugin, Listener listener, Event event)`
``
`ServerEventException(Throwable cause, Plugin responsiblePlugin, Listener listener, Event event)`

## Method Summary

Modifier and Type
Method
Description
`Event`
`getEvent()`
Gets the event which caused the exception
`Listener`
`getListener()`
Gets the listener which threw the exception

### Methods inherited from class com.destroystokyo.paper.exception.ServerPluginException

`getResponsiblePlugin`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerEventException

public ServerEventException(String message, Throwable cause, Plugin responsiblePlugin, Listener listener, Event event)

### ServerEventException

public ServerEventException(Throwable cause, Plugin responsiblePlugin, Listener listener, Event event)

### ServerEventException

protected ServerEventException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin, Listener listener, Event event)

## Method Details

### getListener

public Listener getListener()
Gets the listener which threw the exception

Returns:
  event listener

### getEvent

public Event getEvent()
Gets the event which caused the exception

Returns:
  event